Skip to main content

GET v3/stock/:id

GET 

/v3/stock/:id

Retrieve one stock record.

The GET v3/stock/:id endpoint will return a specific stock record. Note that the endpoint returns information about a single stock record which will no longer exist once all products have been moved away from it. Stock is transient and may be moved around at any time. It is therefor recommended not to persist stock and id in your systems.

The endpoint also supports -to some degree- the inclusion of information of related resources. This option is provided to allow clients used to the v2 version of the stock endpoint to be able to use the v3 version more seemlessly. To get the details of related entities the include parameter must be added to the URI in the following way:

  • GET {host}/v3/stock?include=stockLocation will return the stock with some stockLocation related details.

Note: inclusion of product has been deprecated.

Limitations of the GET v3/stock/:id​

  • Users are rate-limited to 1000 requests per hour on this service.

Request​

Responses​

OK